Package fr.gouv.vitam.common.database.builder.request.configuration

# Enum Class BuilderToken.GLOBAL

java.lang.Object
java.lang.Enum<BuilderToken.GLOBAL>
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken.GLOBAL

All Implemented Interfaces:
  `Serializable`, `Comparable<BuilderToken.GLOBAL>`, `Constable`

Enclosing class:
  `BuilderToken`

public static enum BuilderToken.GLOBAL extends Enum<BuilderToken.GLOBAL>
Global model

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTION`
  Action part (in case of update)
  `DATA`
  Data part (in case of insert)
  `FACETS`
  Facets part (aggregations)
  `FILTER`
  Filter part (limit, order by, ...
  `PROJECTION`
  Projection part (returned fields for Query)
  `QUERY`
  Query part (where condition)
  `ROOTS`
  Roots part (departure of the request)
  `RULES`
  Deprecated.
  : DSL with $rules is no more supported
  `THRESOLD`
  Threshold part (in case of update) the client uses the re-defined threshold function to further limit the potential impact of the change as does the instance parameter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static BuilderToken.GLOBAL`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuilderToken.GLOBAL[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ROOTS

    public static final BuilderToken.GLOBAL ROOTS
    Roots part (departure of the request)

  - ### QUERY

    public static final BuilderToken.GLOBAL QUERY
    Query part (where condition)

  - ### FILTER

    public static final BuilderToken.GLOBAL FILTER
    Filter part (limit, order by, ... for Query, or isMulti for others)

  - ### PROJECTION

    public static final BuilderToken.GLOBAL PROJECTION
    Projection part (returned fields for Query)

  - ### FACETS

    public static final BuilderToken.GLOBAL FACETS
    Facets part (aggregations)

  - ### ACTION

    public static final BuilderToken.GLOBAL ACTION
    Action part (in case of update)

  - ### THRESOLD

    public static final BuilderToken.GLOBAL THRESOLD
    Threshold part (in case of update) the client uses the re-defined threshold function to further limit the potential impact of the change as does the instance parameter

  - ### RULES

    public static final BuilderToken.GLOBAL RULES
    Deprecated.
    : DSL with $rules is no more supported
    Action part (in case of update)

  - ### DATA

    public static final BuilderToken.GLOBAL DATA
    Data part (in case of insert)

- ## Method Details

  - ### values

    public static BuilderToken.GLOBAL[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuilderToken.GLOBAL valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token